# sf::Sound Class Reference

Sound defines the properties of a sound such as position, volume, pitch, etc. More...

`#include <Sound.hpp>`

Inheritance diagram for sf::Sound:

List of all members.

## Public Types

enum | Status { Stopped, Paused, Playing }
| Enumeration of the sound states. More...

## Public Member Functions

| Sound ()
| Default constructor.
| Sound (const SoundBuffer &Buffer, bool Loop=false, float Pitch=1.f, float Volume=100.f, const Vector3f &Position=Vector3f(0, 0, 0))
| Construct the sound from its parameters.
| Sound (const Sound &Copy)
| Copy constructor.
| ~Sound ()
| Destructor.
void | Play ()
| Play the sound.
void | Pause ()
| Pause the sound.
void | Stop ()
| Stop the sound.
void | SetBuffer (const SoundBuffer &Buffer)
| Set the source buffer.
void | SetLoop (bool Loop)
| Set the sound loop state.
void | SetPitch (float Pitch)
| Set the sound pitch.
void | SetVolume (float Volume)
| Set the sound volume.
void | SetPosition (float X, float Y, float Z)
| Set the sound position (take 3 values).
void | SetPosition (const Vector3f &Position)
| Set the sound position (take a 3D vector).
void | SetRelativeToListener (bool Relative)
| Make the sound's position relative to the listener's position, or absolute.
void | SetMinDistance (float MinDistance)
| Set the minimum distance - closer than this distance, the listener will hear the sound at its maximum volume.
void | SetAttenuation (float Attenuation)
| Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.
void | SetPlayingOffset (float TimeOffset)
| Set the current playing position of the sound.
const SoundBuffer * | GetBuffer () const
| Get the source buffer.
bool | GetLoop () const
| Tell whether or not the sound is looping.
float | GetPitch () const
| Get the pitch.
float | GetVolume () const
| Get the volume.
Vector3f | GetPosition () const
| Get the sound position.
bool | IsRelativeToListener () const
| Tell if the sound's position is relative to the listener's position, or if it's absolute.
float | GetMinDistance () const
| Get the minimum distance.
float | GetAttenuation () const
| Get the attenuation factor.
Status | GetStatus () const
| Get the status of the sound (stopped, paused, playing).
float | GetPlayingOffset () const
| Get the current playing position of the sound.
Sound & | operator= (const Sound &Other)
| Assignment operator.

## Friends

class | SoundStream

## Detailed Description

Sound defines the properties of a sound such as position, volume, pitch, etc.

Definition at line 45 of file Sound.hpp.

## Member Enumeration Documentation

enum sf::Sound::Status

Enumeration of the sound states.

Enumerator:

  Stopped | Sound is not playing.
  Paused | Sound is paused.
  Playing | Sound is playing.

Definition at line 52 of file Sound.hpp.

## Constructor & Destructor Documentation

sf::Sound::Sound | ( |  | ) |

Default constructor.

Definition at line 38 of file Sound.cpp.

sf::Sound::Sound | ( | const SoundBuffer & | Buffer,
|  | bool | Loop = `false`,
|  | float | Pitch = `1.f`,
|  | float | Volume = `100.f`,
|  | const Vector3f & | Position = `Vector3f(0, 0, 0)` |
| ) |  |  |

Construct the sound from its parameters.

Parameters:

  | Buffer | : Sound buffer to play (NULL by default)
  | Loop | : Loop flag (false by default)
  | Pitch | : Value of the pitch (1 by default)
  | Volume | : Volume (100 by default)
  | Position | : Position (0, 0, 0 by default)

Definition at line 48 of file Sound.cpp.

sf::Sound::Sound | ( | const Sound & | Copy | ) |

Copy constructor.

Parameters:

  | Copy | : Instance to copy

Definition at line 64 of file Sound.cpp.

sf::Sound::~Sound | ( |  | ) |

Destructor.

Definition at line 81 of file Sound.cpp.

## Member Function Documentation

float sf::Sound::GetAttenuation | ( |  | ) | const

Get the attenuation factor.

Returns:
  Attenuation factor of the sound

Definition at line 305 of file Sound.cpp.

const SoundBuffer * sf::Sound::GetBuffer | ( |  | ) | const

Get the source buffer.

Returns:
  Sound buffer bound to the sound (can be NULL)

Definition at line 223 of file Sound.cpp.

bool sf::Sound::GetLoop | ( |  | ) | const

Tell whether or not the sound is looping.

Returns:
  True if the sound is looping, false otherwise

Reimplemented in sf::SoundStream.

Definition at line 232 of file Sound.cpp.

float sf::Sound::GetMinDistance | ( |  | ) | const

Get the minimum distance.

Returns:
  Minimum distance for the sound

Definition at line 293 of file Sound.cpp.

float sf::Sound::GetPitch | ( |  | ) | const

Get the pitch.

Returns:
  Pitch value

Definition at line 244 of file Sound.cpp.

float sf::Sound::GetPlayingOffset | ( |  | ) | const

Get the current playing position of the sound.

Returns:
  Current playing position, expressed in seconds

Reimplemented in sf::SoundStream.

Definition at line 317 of file Sound.cpp.

Vector3f sf::Sound::GetPosition | ( |  | ) | const

Get the sound position.

Returns:
  Position of the sound in the world

Definition at line 268 of file Sound.cpp.

Sound::Status sf::Sound::GetStatus | ( |  | ) | const

Get the status of the sound (stopped, paused, playing).

Returns:
  Current status of the sound

Reimplemented in sf::SoundStream.

Definition at line 329 of file Sound.cpp.

float sf::Sound::GetVolume | ( |  | ) | const

Get the volume.

Returns:
  Volume value (in range [1, 100])

Definition at line 256 of file Sound.cpp.

bool sf::Sound::IsRelativeToListener | ( |  | ) | const

Tell if the sound's position is relative to the listener's position, or if it's absolute.

Tell if the sound's position is relative to the listener's position, or if it's absolute.

Returns:
  True if the position is relative, false if it's absolute

Definition at line 281 of file Sound.cpp.

Sound & sf::Sound::operator= | ( | const Sound & | Other | ) |

Assignment operator.

Parameters:

  | Other | : Instance to assign

Returns:
  Reference to the sound

Definition at line 349 of file Sound.cpp.

void sf::Sound::Pause | ( |  | ) |

Pause the sound.

Definition at line 107 of file Sound.cpp.

void sf::Sound::Play | ( |  | ) |

Play the sound.

Reimplemented in sf::SoundStream.

Definition at line 98 of file Sound.cpp.

void sf::Sound::SetAttenuation | ( | float | Attenuation | ) |

Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.

Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.

The default attenuation factor 1.0

Parameters:

  | Attenuation | : New attenuation factor for the sound

The default attenuation factor 1.0

Definition at line 205 of file Sound.cpp.

void sf::Sound::SetBuffer | ( | const SoundBuffer & | Buffer | ) |

Set the source buffer.

Parameters:

  | Buffer | : New sound buffer to bind to the sound

Definition at line 125 of file Sound.cpp.

void sf::Sound::SetLoop | ( | bool | Loop | ) |

Set the sound loop state.

This parameter is disabled by default

Parameters:

  | Loop | : True to play in loop, false to play once

Reimplemented in sf::SoundStream.

Definition at line 135 of file Sound.cpp.

void sf::Sound::SetMinDistance | ( | float | MinDistance | ) |

Set the minimum distance - closer than this distance, the listener will hear the sound at its maximum volume.

Set the minimum distance - closer than this distance, the listener will hear the sound at its maximum volume.

The default minimum distance is 1.0

Parameters:

  | MinDistance | : New minimum distance for the sound

The default minimum distance is 1.0

Definition at line 194 of file Sound.cpp.

void sf::Sound::SetPitch | ( | float | Pitch | ) |

Set the sound pitch.

The default pitch is 1

Parameters:

  | Pitch | : New pitch

Definition at line 144 of file Sound.cpp.

void sf::Sound::SetPlayingOffset | ( | float | TimeOffset | ) |

Set the current playing position of the sound.

Parameters:

  | TimeOffset | : New playing position, expressed in seconds

Definition at line 214 of file Sound.cpp.

void sf::Sound::SetPosition | ( | const Vector3f & | Position | ) |

Set the sound position (take a 3D vector).

The default position is (0, 0, 0)

Parameters:

  | Position | : Position of the sound in the world

The default position is (0, 0, 0)

Definition at line 172 of file Sound.cpp.

void sf::Sound::SetPosition | ( | float | X,
|  | float | Y,
|  | float | Z |
| ) |  |  |

Set the sound position (take 3 values).

The default position is (0, 0, 0)

Parameters:

  | X,Y,Z | : Position of the sound in the world

The default position is (0, 0, 0)

Definition at line 162 of file Sound.cpp.

void sf::Sound::SetRelativeToListener | ( | bool | Relative | ) |

Make the sound's position relative to the listener's position, or absolute.

Make the sound's position relative to the listener's position, or absolute.

The default value is false (absolute)

Parameters:

  | Relative | : True to set the position relative, false to set it absolute

The default value is false (absolute)

Definition at line 183 of file Sound.cpp.

void sf::Sound::SetVolume | ( | float | Volume | ) |

Set the sound volume.

The default volume is 100

Parameters:

  | Volume | : Volume (in range [0, 100])

Definition at line 153 of file Sound.cpp.

void sf::Sound::Stop | ( |  | ) |

Stop the sound.

Reimplemented in sf::SoundStream.

Definition at line 116 of file Sound.cpp.

The documentation for this class was generated from the following files:

- Sound.hpp
- Sound.cpp